Bug 243000 - Can't set default remote printer
Can't set default remote printer
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 17:07 EDT by Frank Cox
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-13 11:55:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2414 None None None Never

  None (edit)
Description Frank Cox 2007-06-06 17:07:20 EDT
Description of problem:
 I changed my default printer from a remote printer
to Cups-PDF using the cups web interface (http://localhost:631).  Subsequently,
when I tried to change the default printer back to the remote printer, I got a
"403 Forbidden" error.

When I hit the "default printer" button on the cups configuration web page, I
get a enter-username-and-password box.  I enter root for username and root's
password when I am asked.  Then I see "403 Forbidden".

Version-Release number of selected component (if applicable):
cups-1.2.10-10.fc7


How reproducible:
Every time

Steps to Reproduce:
1. Load cups web interface
2. Select remote printer
3. Hit default printer button
  
Actual results:
403 forbidden

Expected results:
Set default printer to remote printer

Additional info:
I cranked up system-config-printers I then selected the remote printer off
of the list shown and hit the "make default" button.  Bingo!  Now my default
printer is  once again the remote printer.

In conclusion, setting the default printer to a remote printer doesn't appear
to work through the F7 cups web interface.  As I had the remote printer already
set as the default printer under FC6 before I upgraded this computer to F7, the
default printer setting stayed until I changed it to something else.  But after
changing it to something else, the cups web interface won't let me change it
back.  system-config-printers allows me to change it back and set my default
printer to a remote printer once again.
Comment 1 nvwarr 2007-06-13 11:09:30 EDT
I have the same problem. When I try to set the default printer for my server to
a printer served by a remote host, the "Set as default" button points to:

http://remote_host:631/admin/?op=set-as-default&printer_name=RemotePrinter@remote_host

not

http://localhost:631/admin/?op=set-as-default&printer_name=RemotePrinter@remote_host

which presumably means it tries to set the default printer for the remote host,
rather than for my server.

Giving the second URL into my browser manually, does the trick.


Note You need to log in before you can comment on or make changes to this bug.